Notices


Reply
Thread Tools
Posts: 3,231 | Thanked: 4,128 times | Joined on May 2011 @ Poland
#1
Hi,

The current wolframalpha app doesn't work at all, as the developer would have to pay for the queries.

I patched the code to use your own api key. Just insert it into
Code:
/home/user/.wolframalpha/apikey.txt
Note: no spaces!! Only one line. I might fix it later, if it's an issue.
How to install? Extras-devel. Package name: wolframalpha
Version: 0.2.0
Author of the original app: b0unc3
__________________
If you want to support my work, you can donate by PayPal or Flattr

Current project:
Porting SailfishOS onto OnePlus 3

Projects no longer actively developed: here

Last edited by marmistrz; 2013-10-16 at 16:15.
 

The Following 5 Users Say Thank You to marmistrz For This Useful Post:
Posts: 835 | Thanked: 772 times | Joined on Oct 2007 @ Finland
#2
Can you make one version for harmattan?
 

The Following 2 Users Say Thank You to Kozzi For This Useful Post:
Posts: 2,239 | Thanked: 3,982 times | Joined on Apr 2010 @ England
#3
Originally Posted by marmistrz View Post
Should I upload it under the same package name or change it?
Good question, IMO if it's a fix I would class it as the same package.
If you do this it would be advised to ask to be a maintainer of the application, so you can promote it.
__________________
The stable-beast currently runs...
21.2011.38-1Smaemo8 (CSSU Stable)
2.6.28.10power53 (125-600Mhz SR VDD1&2)

Wiki Admin
sixwheeledbeast's wiki
Testing Squad Subscriber
- mcallerx - tenminutecore - FlopSwap - Qnotted - zzztop - Bander - Fight2048 -


Before posting or starting a thread please try this.
 

The Following User Says Thank You to sixwheeledbeast For This Useful Post:
Posts: 3,231 | Thanked: 4,128 times | Joined on May 2011 @ Poland
#4
As the autobuilder is borked a deb here: http://ubuntuone.com/2AFt7gPxDEdMSbMb4WKXal
__________________
If you want to support my work, you can donate by PayPal or Flattr

Current project:
Porting SailfishOS onto OnePlus 3

Projects no longer actively developed: here
 

The Following User Says Thank You to marmistrz For This Useful Post:
Posts: 3,231 | Thanked: 4,128 times | Joined on May 2011 @ Poland
#5
Pushed to extras-devel
__________________
If you want to support my work, you can donate by PayPal or Flattr

Current project:
Porting SailfishOS onto OnePlus 3

Projects no longer actively developed: here
 
Posts: 238 | Thanked: 131 times | Joined on May 2011 @ Bulgaria
#6
Hi marmistrz,thanks for that application,but depends is on cssu:
dpkg -i wolframalpha_0.2.0_armel.deb Selecting previously deselected package wolframalpha.
(Reading database ... 46965 files and directories currently installed.)
Unpacking wolframalpha (from wolframalpha_0.2.0_armel.deb) ...
dpkg: dependency problems prevent configuration of wolframalpha:
wolframalpha depends on libqt4-core (>= 1:4.7.4~git20110505+cssu7); however:
Version of libqt4-core on system is 4.7.0~git20100909-0maemo1+0m5.
wolframalpha depends on libqt4-dbus (>= 1:4.7.4~git20110505+cssu7); however:
Version of libqt4-dbus on system is 4.7.0~git20100909-0maemo1+0m5.
wolframalpha depends on libqt4-declarative (>= 1:4.7.4~git20110505+cssu7); however:
Version of libqt4-declarative on system is 4.7.0~git20100909-0maemo1+0m5.
wolframalpha depends on libqt4-gui (>= 1:4.7.4~git20110505+cssu7); however:
Version of libqt4-gui on system is 4.7.0~git20100909-0maemo1+0m5.
wolframalpha depends on libqt4-network (>= 1:4.7.4~git20110505+cssu7); however:
Version of libqt4-network on system is 4.7.0~git20100909-0maemo1+0m5.
wolframalpha depends on libqt4-script (>= 1:4.7.4~git20110505+cssu7); however:
Version of libqt4-script on system is 4.7.0~git20100909-0maemo1+0m5.
wolframalpha depends on libqt4-sql (>= 1:4.7.4~git20110505+cssu7); however:
Version of libqt4-sql on system is 4.7.0~git20100909-0maemo1+0m5.
wolframalpha depends on libqt4-svg (>= 1:4.7.4~git20110505+cssu7); however:
Version of libqt4-svg on system is 4.7.0~git20100909-0maemo1+0m5.
wolframalpha depends on libqt4-xml (>= 1:4.7.4~git20110505+cssu7); however:
Version of libqt4-xml on system is 4.7.0~git20100909-0maemo1+0m5.
wolframalpha depends on libqt4-xmlpatterns (>= 1:4.7.4~git20110505+cssu7); however:
Version of libqt4-xmlpatterns on system is 4.7.0~git20100909-0maemo1+0m5.
wolframalpha depends on libqtm-11-declarative; however:
Package libqtm-11-declarative is not installed.
dpkg: error processing wolframalpha (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
wolframalpha
Is no to bad,to editing the tittle of the thread about depends
regards
 
Posts: 3,231 | Thanked: 4,128 times | Joined on May 2011 @ Poland
#7
Originally Posted by disappear View Post
Hi marmistrz,thanks for that application,but depends is on cssu:

Is no to bad,to editing the tittle of the thread about depends
regards
Just use extras-devel. I'll remove the link with direct dl.
__________________
If you want to support my work, you can donate by PayPal or Flattr

Current project:
Porting SailfishOS onto OnePlus 3

Projects no longer actively developed: here
 

The Following User Says Thank You to marmistrz For This Useful Post:
Posts: 238 | Thanked: 131 times | Joined on May 2011 @ Bulgaria
#8
Marmistrz i created my own apikey,but still i can't use wolframalpha,here is main output from console:
~ $ /opt/wolframalpha/bin/wolframalpha
loaded the Generic plugin
loaded the N900 plugin
loaded the Generic plugin
loaded the grue plugin
loaded the N900 plugin
fetched : 6
and here is a picture:

Last edited by disappear; 2013-10-08 at 13:02.
 

The Following User Says Thank You to disappear For This Useful Post:
Posts: 3,231 | Thanked: 4,128 times | Joined on May 2011 @ Poland
#9
@disappear: I guess you need to wait a while until the images load.
@Kozzi: Maybe it'll work on Harmattan: Try
Code:
devel-su
cd /usr/lib/qt4/imports
mkdir -p org/maemo
cd org/maemo
ln -s /usr/lib/qt4/import/com/nokia/meego fremantle
And let know whether works.
__________________
If you want to support my work, you can donate by PayPal or Flattr

Current project:
Porting SailfishOS onto OnePlus 3

Projects no longer actively developed: here
 
Posts: 238 | Thanked: 131 times | Joined on May 2011 @ Bulgaria
#10
Sorry for this late reply Marmistrz,but I wait 10 min.and nothing,about how to created apikey,I do this from that page https://developer.wolframalpha.com/p...apisignup.html
And you also proceed on this way,because it's never mind how many time I create my own apikey,the result=0.

Last edited by disappear; 2013-10-16 at 07:37.
 
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 01:34.